#2445 closed enhancement (fixed)

Remove m68k/sim68000 BSP

Reported by: Joel Sherrill Owned by: Aun-Ali Zaidi <admin@…>
Priority: normal Milestone: 5.1
Component: arch/m68k Version: 4.11
Severity: normal Keywords: obsolete, BSP
Cc: Blocked By:
Blocking:

Description (last modified by Joel Sherrill)

Remove the m68k/sim68000 BSP per the instructions at ​https://devel.rtems.org/wiki/Developer/Removing_a_BSP

Rationale: This is a BSP for a simulator named BSVC (http://www4.ncsu.edu/~bwmott/bsvc/) that was never under a truly free license and has not been updated in a decade. Although a decent tool, it was extremely slow.

Attachments (3)

0001-m68k-sim68000-Remove.patch (35.1 KB) - added by Aun-Ali Zaidi on Dec 8, 2015 at 1:46:55 AM.
0001-m68k-acinclude.m4-Regenerate-to-remove-sim68000.patch (756 bytes) - added by Aun-Ali Zaidi on Dec 8, 2015 at 1:47:11 AM.
0001-rtems-bit_all_bsps-Remove-sim68000-reference.patch (989 bytes) - added by Aun-Ali Zaidi on Dec 8, 2015 at 1:58:35 AM.
rtems-testing

Download all attachments as: .zip

Change History (11)

comment:1 Changed on Nov 3, 2015 at 3:48:41 PM by Joel Sherrill

Description: modified (diff)

comment:2 Changed on Nov 3, 2015 at 7:26:59 PM by Joel Sherrill

Keywords: obsolete BSP added

Changed on Dec 8, 2015 at 1:46:55 AM by Aun-Ali Zaidi

Changed on Dec 8, 2015 at 1:58:35 AM by Aun-Ali Zaidi

rtems-testing

comment:3 Changed on Dec 8, 2015 at 2:16:14 AM by Aun-Ali Zaidi

Resolution: fixed
Status: newclosed

comment:4 Changed on Dec 8, 2015 at 6:32:35 AM by Aun-Ali Zaidi <admin@…>

Owner: set to Aun-Ali Zaidi <admin@…>

In a4e172aca7e0dd43a4c9822fe7c6afde2f22f49b/rtems:

m68k/sim68000: Remove

closes #2445.

comment:5 Changed on Dec 8, 2015 at 6:33:17 AM by Aun-Ali Zaidi <admin@…>

In 008f779de1c423c3094b76b40d46ee29f784b619/rtems-testing:

rtems/bit_all_bsps; Remove sim68000 reference

closes #2445.

comment:6 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:7 Changed on Oct 10, 2017 at 6:54:47 AM by Sebastian Huber

Component: bspsarch/m68k

comment:8 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.